Manifest-Version: 1.0
Bnd-LastModified: 1749106961689
Bundle-ManifestVersion: 2
Bundle-Name: Liferay Journal Web
Bundle-SymbolicName: com.liferay.journal.web
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 4.0.129.hotfix-10007-7310
Created-By: 1.8.0_381 (Oracle Corporation)
Import-Package: aQute.bnd.annotation.metatype;version="1.45",com.lifer
 ay.announcements.kernel.model;version="2.2",com.liferay.application.l
 ist;version="2.1",com.liferay.asset.display.page.item.selector.criter
 ion;version="1.0",com.liferay.asset.display.page.portlet;version="3.5
 ",com.liferay.asset.display.page.service;version="2.7",com.liferay.as
 set.display.page.util;version="1.1",com.liferay.asset.info.display.co
 ntributor.util;version="1.1",com.liferay.asset.info.display.field;ver
 sion="1.0",com.liferay.asset.info.display.url.provider;version="1.1",
 com.liferay.asset.info.item.provider;version="1.1",com.liferay.asset.
 kernel;version="1.1",com.liferay.asset.kernel.action;version="1.1",co
 m.liferay.asset.kernel.exception;version="2.1",com.liferay.asset.kern
 el.model;version="3.6",com.liferay.asset.kernel.service;version="2.12
 ",com.liferay.asset.kernel.service.persistence;version="3.6",com.life
 ray.asset.util;version="1.6",com.liferay.change.tracking.spi.display;
 version="1.2",com.liferay.change.tracking.spi.display.context;version
 ="1.0",com.liferay.data.engine.content.type;version="1.3",com.liferay
 .data.engine.field.type.util;version="1.2",com.liferay.data.engine.re
 st.dto.v2_0;version="5.0",com.liferay.data.engine.rest.resource.excep
 tion;version="3.0",com.liferay.data.engine.rest.resource.v2_0;version
 ="8.1",com.liferay.data.engine.taglib.servlet.taglib.definition;versi
 on="1.4",com.liferay.depot.model;version="2.0",com.liferay.depot.serv
 ice;version="1.9",com.liferay.document.library.kernel.document.conver
 sion;version="1.0",com.liferay.document.library.kernel.exception;vers
 ion="3.1",com.liferay.document.library.kernel.service;version="3.9",c
 om.liferay.document.library.kernel.util;version="2.0",com.liferay.doc
 ument.library.util;version="1.1",com.liferay.dynamic.data.lists.model
 ;version="2.1",com.liferay.dynamic.data.lists.service;version="2.5",c
 om.liferay.dynamic.data.mapping.configuration;version="1.3",com.lifer
 ay.dynamic.data.mapping.exception;version="2.3",com.liferay.dynamic.d
 ata.mapping.form.values.factory;version="1.0",com.liferay.dynamic.dat
 a.mapping.info.display.field;version="1.0",com.liferay.dynamic.data.m
 apping.info.item.provider;version="1.1",com.liferay.dynamic.data.mapp
 ing.kernel;version="1.4",com.liferay.dynamic.data.mapping.model;versi
 on="4.6",com.liferay.dynamic.data.mapping.security.permission;version
 ="1.0",com.liferay.dynamic.data.mapping.service;version="3.11",com.li
 feray.dynamic.data.mapping.storage;version="1.4",com.liferay.dynamic.
 data.mapping.template;version="1.0",com.liferay.dynamic.data.mapping.
 util;version="2.10",com.liferay.dynamic.data.mapping.util.comparator;
 version="2.2",com.liferay.dynamic.data.mapping.validator;version="1.5
 ",com.liferay.dynamic.data.mapping.webdav;version="1.0",com.liferay.e
 xpando.info.item.provider;version="1.0",com.liferay.expando.kernel.mo
 del;version="3.4",com.liferay.exportimport.changeset;version="1.1",co
 m.liferay.exportimport.changeset.portlet.action;version="1.0",com.lif
 eray.exportimport.kernel.exception;version="1.4",com.liferay.exportim
 port.kernel.lar;version="3.7",com.liferay.fragment.model;version="2.1
 2",com.liferay.frontend.taglib.clay.servlet.taglib.display.context;ve
 rsion="1.5",com.liferay.frontend.taglib.clay.servlet.taglib.soy;versi
 on="2.1",com.liferay.frontend.taglib.clay.servlet.taglib.util;version
 ="3.6",com.liferay.frontend.taglib.form.navigator.context;version="1.
 0",com.liferay.info.display.contributor;version="2.3",com.liferay.inf
 o.display.contributor.field;version="1.1",com.liferay.info.display.fi
 eld;version="1.0",com.liferay.info.display.request.attributes.contrib
 utor;version="1.0",com.liferay.info.display.url.provider;version="1.0
 ",com.liferay.info.exception;version="1.1",com.liferay.info.field;ver
 sion="1.2",com.liferay.info.field.type;version="1.1",com.liferay.info
 .form;version="1.1",com.liferay.info.item;version="1.1",com.liferay.i
 nfo.item.capability;version="1.0",com.liferay.info.item.field.reader;
 version="1.0",com.liferay.info.item.provider;version="1.1",com.lifera
 y.info.item.renderer;version="1.2",com.liferay.info.item.renderer.tem
 plate;version="1.0",com.liferay.info.item.selector;version="1.2",com.
 liferay.info.item.updater;version="1.0",com.liferay.info.list.rendere
 r;version="1.2",com.liferay.info.localized;version="1.1",com.liferay.
 info.taglib.list.renderer;version="1.0",com.liferay.info.taglib.servl
 et.taglib;version="1.1",com.liferay.info.type;version="1.2",com.lifer
 ay.item.selector;version="4.3",com.liferay.item.selector.criteria;ver
 sion="2.1",com.liferay.item.selector.criteria.file.criterion;version=
 "1.0",com.liferay.item.selector.criteria.image.criterion;version="1.0
 ",com.liferay.item.selector.criteria.info.item.criterion;version="1.2
 ",com.liferay.journal.configuration;version="3.3",com.liferay.journal
 .constants;version="1.3",com.liferay.journal.exception;version="2.2",
 com.liferay.journal.item.selector.criterion;version="1.2",com.liferay
 .journal.model;version="4.2",com.liferay.journal.service;version="3.8
 ",com.liferay.journal.util;version="2.1",com.liferay.journal.util.com
 parator;version="1.3",com.liferay.layout.display.page;version="1.0",c
 om.liferay.layout.model;version="1.1",com.liferay.layout.page.templat
 e.info.item.capability;version="1.0",com.liferay.layout.page.template
 .service;version="3.7",com.liferay.layout.service;version="1.4",com.l
 iferay.layout.util;version="2.1",com.liferay.message.boards.model;ver
 sion="5.0",com.liferay.message.boards.service;version="4.3",com.lifer
 ay.petra.function;version="1.5",com.liferay.petra.reflect;version="1.
 4",com.liferay.petra.sql.dsl;version="1.0",com.liferay.petra.sql.dsl.
 base;version="1.0",com.liferay.petra.sql.dsl.query;version="1.0",com.
 liferay.petra.string;version="1.5",com.liferay.portal.aop;version="1.
 0",com.liferay.portal.configuration.metatype.annotations;version="1.3
 ",com.liferay.portal.configuration.metatype.bnd.util;version="2.0",co
 m.liferay.portal.configuration.persistence.upgrade;version="1.0",com.
 liferay.portal.kernel.annotation;version="7.0",com.liferay.portal.ker
 nel.application.type;version="1.0",com.liferay.portal.kernel.atom;ver
 sion="7.0",com.liferay.portal.kernel.bean;version="8.0",com.liferay.p
 ortal.kernel.cache.thread.local;version="2.0",com.liferay.portal.kern
 el.change.tracking;version="1.5",com.liferay.portal.kernel.cluster;ve
 rsion="8.0",com.liferay.portal.kernel.dao.orm;version="9.8",com.lifer
 ay.portal.kernel.dao.search;version="8.0",com.liferay.portal.kernel.d
 iff;version="1.0",com.liferay.portal.kernel.editor.configuration;vers
 ion="1.1",com.liferay.portal.kernel.exception;version="9.7",com.lifer
 ay.portal.kernel.io.unsync;version="7.0",com.liferay.portal.kernel.js
 on;version="8.11",com.liferay.portal.kernel.jsonwebservice;version="7
 .0",com.liferay.portal.kernel.language;version="8.3",com.liferay.port
 al.kernel.log;version="7.0",com.liferay.portal.kernel.messaging;versi
 on="9.1",com.liferay.portal.kernel.messaging.async;version="6.2",com.
 liferay.portal.kernel.model;version="5.7",com.liferay.portal.kernel.m
 odel.change.tracking;version="1.0",com.liferay.portal.kernel.model.im
 pl;version="3.4",com.liferay.portal.kernel.model.portlet;version="2.0
 ",com.liferay.portal.kernel.model.wrapper;version="1.1",com.liferay.p
 ortal.kernel.module.configuration;version="2.0",com.liferay.portal.ke
 rnel.module.framework;version="1.4",com.liferay.portal.kernel.notific
 ations;version="8.0",com.liferay.portal.kernel.plugin;version="6.4",c
 om.liferay.portal.kernel.poller;version="7.0",com.liferay.portal.kern
 el.pop;version="6.3",com.liferay.portal.kernel.portlet;version="10.6"
 ,com.liferay.portal.kernel.portlet.bridges.mvc;version="3.0",com.life
 ray.portal.kernel.portlet.configuration.icon;version="1.1",com.lifera
 y.portal.kernel.repository.model;version="8.0",com.liferay.portal.ker
 nel.resource.bundle;version="1.0",com.liferay.portal.kernel.scheduler
 ;version="9.1",com.liferay.portal.kernel.search;version="9.7",com.lif
 eray.portal.kernel.security.access.control;version="2.0",com.liferay.
 portal.kernel.security.auth;version="2.7",com.liferay.portal.kernel.s
 ecurity.permission;version="3.5",com.liferay.portal.kernel.security.p
 ermission.propagator;version="1.0",com.liferay.portal.kernel.security
 .permission.resource;version="1.1",com.liferay.portal.kernel.service;
 version="4.21",com.liferay.portal.kernel.service.change.tracking;vers
 ion="1.0",com.liferay.portal.kernel.service.configuration;version="1.
 1",com.liferay.portal.kernel.service.permission;version="2.0",com.lif
 eray.portal.kernel.service.persistence;version="6.11",com.liferay.por
 tal.kernel.service.persistence.change.tracking;version="1.3",com.life
 ray.portal.kernel.servlet;version="8.6",com.liferay.portal.kernel.ser
 vlet.taglib.ui;version="6.7",com.liferay.portal.kernel.settings;versi
 on="3.1",com.liferay.portal.kernel.social;version="1.0",com.liferay.p
 ortal.kernel.spring.aop;version="7.0",com.liferay.portal.kernel.syste
 mevent;version="6.2",com.liferay.portal.kernel.template;version="9.1"
 ,com.liferay.portal.kernel.theme;version="3.2",com.liferay.portal.ker
 nel.transaction;version="8.1",com.liferay.portal.kernel.trash;version
 ="9.0",com.liferay.portal.kernel.upgrade;version="8.8",com.liferay.po
 rtal.kernel.upload;version="8.2",com.liferay.portal.kernel.util;versi
 on="10.42",com.liferay.portal.kernel.webdav;version="8.0",com.liferay
 .portal.kernel.workflow;version="9.6",com.liferay.portal.kernel.xml;v
 ersion="7.0",com.liferay.portal.kernel.xmlrpc;version="6.2",com.lifer
 ay.portal.kernel.zip;version="6.4",com.liferay.portal.model.impl,com.
 liferay.portal.search.hits,com.liferay.portal.template;version="2.5",
 com.liferay.portal.upgrade.registry;version="3.1",com.liferay.portal.
 upload;version="2.2",com.liferay.portal.util;version="4.30",com.lifer
 ay.portlet;version="2.4",com.liferay.rss.export;version="1.0",com.lif
 eray.rss.model;version="1.0",com.liferay.rss.util;version="1.0",com.l
 iferay.site.item.selector.criterion;version="2.0",com.liferay.site.ut
 il;version="2.1",com.liferay.social.kernel.model;version="3.4",com.li
 feray.social.kernel.service;version="1.10",com.liferay.staging;versio
 n="1.1",com.liferay.subscription.service;version="1.7",com.liferay.ta
 glib.search;version="2.0",com.liferay.taglib.security;version="8.0",c
 om.liferay.taglib.util;version="9.1",com.liferay.translation.exceptio
 n;version="1.2",com.liferay.translation.exporter;version="3.0",com.li
 feray.translation.importer;version="1.0",com.liferay.translation.info
 .field;version="1.0",com.liferay.translation.model;version="1.0",com.
 liferay.translation.service;version="1.4",com.liferay.trash;version="
 1.0",com.liferay.trash.kernel.model;version="1.1",com.liferay.trash.m
 odel;version="2.3",com.liferay.trash.service;version="2.6",com.lifera
 y.upload;version="1.1",javax.portlet,javax.portlet.annotations,javax.
 servlet,javax.servlet.http,org.apache.commons.fileupload.disk,org.osg
 i.framework;version="1.8"
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: UTF-8
Liferay-JS-Config: /META-INF/resources/js/config.js
Liferay-JS-Submodules-Bridge: journal-web/js/SelectFolder.es
Liferay-Releng-App-Title: Liferay Journal
Liferay-Releng-Bundle: true
Liferay-Releng-Category: Productivity
Liferay-Releng-Deprecated: false
Liferay-Releng-Fix-Delivery-Method: core
Liferay-Releng-Labs: false
Liferay-Releng-Marketplace: true
Liferay-Releng-Portal-Required: true
Liferay-Releng-Public: false
Liferay-Releng-Restart-Required: true
Liferay-Releng-Suite: web-experience
Liferay-Releng-Suite-Description: Apps and Features: Widget Templates,
  Asset Publisher, Breadcrumb, Categories, Google Analytics, IFrame, L
 anguage, Navigation, Recycle Bin, Related Content, RSS, Search, Site 
 and Page Templates, Sitemap, Sites Directory, Tags, Web Content, XSL 
 Content<br /><br />The Web Experience suite provides features that he
 lp create, manage, and track content. The Web Content app lets you ex
 press your ideas and plans by creating dynamic content that can be st
 ructured to fit a specific design. You can also use templates to desi
 gn web content for an appealing look and feel. Templates can be used 
 in other realms of Liferay besides web content too. Site and Page Tem
 plates let you reproduce sites and pages that have been organized to 
 address specific needs. Application Display Templates are another typ
 e of Liferay template that lets you develop the look and feel of appl
 ications. The IFrame and XSL Content apps let you create other forms 
 of content by embedding HTML and XSL content on a site page.<br /><br
  />As administrators create content, organization is critical to keep
 ing things tidy in your site. The suite's Tags and Categories apps le
 ts you organize your web content to follow an organizational hierarch
 y. These organizational apps also aid with Liferay's Search app, whic
 h you can utilize to dynamically search content you've created. The s
 uite's Navigation, Breadcrumb, Sitemap, and Sites Directory apps aid 
 in Liferay's organizational structure, providing a top level view of 
 sites and their pages that have been created. To promote content in a
 n organized way, the Asset Publisher and Related Assets apps broadcas
 t assets and their related information. Inevitably, some content you 
 create becomes stale and requires removal; the Recycle Bin app lets y
 ou delete content, with the option to restore that content.<br /><br 
 />As a site accumulates content, administrators should have a way to 
 easily track their content. The Google Analytics app allows the use o
 f Google's tool set for analyzing site traffic data. The suite's RSS 
 app provides a web feed used to publish updated works such as blog en
 tries and news articles. The suite's Language app provides a way to c
 hange Liferay's language to cater to your site's international audien
 ce. This suite's content creation and organization focus lets site ad
 ministrators develop dynamic content, organize content for easy manag
 ing, and track content for ideas to better improve the content creati
 on process in the future.<br /><br />This suite may contain modules t
 hat depend on Foundation suite modules. This suite is available in th
 e Liferay bundle.
Liferay-Releng-Suite-Title: Liferay Web Experience
Liferay-Releng-Support-Url: http://www.liferay.com
Liferay-Releng-Supported: true
Private-Package: com.liferay.journal.web.internal.application.list,com
 .liferay.journal.web.internal.asset,com.liferay.journal.web.internal.
 asset.model,com.liferay.journal.web.internal.asset.util,com.liferay.j
 ournal.web.internal.change.tracking.spi.display,com.liferay.journal.w
 eb.internal.configuration,com.liferay.journal.web.internal.constants,
 com.liferay.journal.web.internal.custom.attributes,com.liferay.journa
 l.web.internal.dao.search,com.liferay.journal.web.internal.data.engin
 e.content.type,com.liferay.journal.web.internal.display.context,com.l
 iferay.journal.web.internal.display.context.util,com.liferay.journal.
 web.internal.editor.configuration,com.liferay.journal.web.internal.he
 lper,com.liferay.journal.web.internal.info.display.contributor,com.li
 feray.journal.web.internal.info.display.contributor.field,com.liferay
 .journal.web.internal.info.display.contributor.portlet,com.liferay.jo
 urnal.web.internal.info.display.url.provider,com.liferay.journal.web.
 internal.info.item,com.liferay.journal.web.internal.info.item.provide
 r,com.liferay.journal.web.internal.info.item.renderer,com.liferay.jou
 rnal.web.internal.info.item.selector,com.liferay.journal.web.internal
 .info.list.renderer,com.liferay.journal.web.internal.item.selector,co
 m.liferay.journal.web.internal.layout.display.page,com.liferay.journa
 l.web.internal.messaging,com.liferay.journal.web.internal.notificatio
 ns,com.liferay.journal.web.internal.portlet,com.liferay.journal.web.i
 nternal.portlet.action,com.liferay.journal.web.internal.portlet.confi
 guration.icon,com.liferay.journal.web.internal.portlet.route,com.life
 ray.journal.web.internal.portlet.template,com.liferay.journal.web.int
 ernal.search,com.liferay.journal.web.internal.security.permission.res
 ource,com.liferay.journal.web.internal.servlet.taglib.clay,com.lifera
 y.journal.web.internal.servlet.taglib.definition,com.liferay.journal.
 web.internal.servlet.taglib.ui,com.liferay.journal.web.internal.servl
 et.taglib.util,com.liferay.journal.web.internal.social,com.liferay.jo
 urnal.web.internal.translation.exporter,com.liferay.journal.web.inter
 nal.upgrade,com.liferay.journal.web.internal.upload,com.liferay.journ
 al.web.internal.util,com.liferay.journal.web.internal.webdav,com.life
 ray.journal.web.portlet.template.dependencies,resource-actions
Provide-Capability: osgi.webresource;osgi.webresource=journal-web;vers
 ion:Version="4.0.129.hotfix-10007-7310",liferay.resource.bundle;resou
 rce.bundle.aggregate="(bundle.symbolic.name=com.liferay.journal.lang)
 ";resource.bundle.base.name="content.Language",osgi.service;objectCla
 ss:List<String>="com.liferay.application.list.PanelApp";uses:="com.li
 feray.application.list",osgi.service;objectClass:List<String>="com.li
 feray.asset.kernel.action.AssetEntryAction";uses:="com.liferay.asset.
 kernel.action",osgi.service;objectClass:List<String>="com.liferay.ass
 et.kernel.model.AssetRendererFactory";uses:="com.liferay.asset.kernel
 .model",osgi.service;objectClass:List<String>="com.liferay.asset.kern
 el.model.AssetRendererFactory,com.liferay.journal.web.internal.asset.
 model.JournalArticleAssetRendererFactory";uses:="com.liferay.asset.ke
 rnel.model,com.liferay.journal.web.internal.asset.model",osgi.service
 ;objectClass:List<String>="com.liferay.change.tracking.spi.display.CT
 DisplayRenderer";uses:="com.liferay.change.tracking.spi.display",osgi
 .service;objectClass:List<String>="com.liferay.data.engine.content.ty
 pe.DataDefinitionContentType";uses:="com.liferay.data.engine.content.
 type",osgi.service;objectClass:List<String>="com.liferay.data.engine.
 taglib.servlet.taglib.definition.DataLayoutBuilderDefinition";uses:="
 com.liferay.data.engine.taglib.servlet.taglib.definition",osgi.servic
 e;objectClass:List<String>="com.liferay.expando.kernel.model.CustomAt
 tributesDisplay";uses:="com.liferay.expando.kernel.model",osgi.servic
 e;objectClass:List<String>="com.liferay.frontend.taglib.form.navigato
 r.context.FormNavigatorContextProvider";uses:="com.liferay.frontend.t
 aglib.form.navigator.context",osgi.service;objectClass:List<String>="
 com.liferay.info.display.contributor.InfoDisplayContributor";uses:="c
 om.liferay.info.display.contributor",osgi.service;objectClass:List<St
 ring>="com.liferay.info.display.contributor.field.InfoDisplayContribu
 torField";uses:="com.liferay.info.display.contributor.field",osgi.ser
 vice;objectClass:List<String>="com.liferay.info.display.url.provider.
 InfoEditURLProvider";uses:="com.liferay.info.display.url.provider",os
 gi.service;objectClass:List<String>="com.liferay.info.item.provider.I
 nfoItemCapabilitiesProvider";uses:="com.liferay.info.item.provider",o
 sgi.service;objectClass:List<String>="com.liferay.info.item.provider.
 InfoItemDetailsProvider";uses:="com.liferay.info.item.provider",osgi.
 service;objectClass:List<String>="com.liferay.info.item.provider.Info
 ItemFieldValuesProvider";uses:="com.liferay.info.item.provider",osgi.
 service;objectClass:List<String>="com.liferay.info.item.provider.Info
 ItemFormProvider";uses:="com.liferay.info.item.provider",osgi.service
 ;objectClass:List<String>="com.liferay.info.item.provider.InfoItemFor
 mVariationsProvider";uses:="com.liferay.info.item.provider",osgi.serv
 ice;objectClass:List<String>="com.liferay.info.item.provider.InfoItem
 ObjectProvider";uses:="com.liferay.info.item.provider",osgi.service;o
 bjectClass:List<String>="com.liferay.info.item.provider.InfoItemPermi
 ssionProvider";uses:="com.liferay.info.item.provider",osgi.service;ob
 jectClass:List<String>="com.liferay.info.item.renderer.InfoItemRender
 er";uses:="com.liferay.info.item.renderer",osgi.service;objectClass:L
 ist<String>="com.liferay.info.item.selector.InfoItemSelector";uses:="
 com.liferay.info.item.selector",osgi.service;objectClass:List<String>
 ="com.liferay.info.list.renderer.InfoListRenderer";uses:="com.liferay
 .info.list.renderer",osgi.service;objectClass:List<String>="com.lifer
 ay.item.selector.ItemSelectorCriterionHandler";uses:="com.liferay.ite
 m.selector",osgi.service;objectClass:List<String>="com.liferay.item.s
 elector.ItemSelectorView";uses:="com.liferay.item.selector",osgi.serv
 ice;objectClass:List<String>="com.liferay.journal.util.ExportArticleH
 elper";uses:="com.liferay.journal.util",osgi.service;objectClass:List
 <String>="com.liferay.journal.web.internal.helper.JournalDDMTemplateH
 elper";uses:="com.liferay.journal.web.internal.helper",osgi.service;o
 bjectClass:List<String>="com.liferay.journal.web.internal.helper.Jour
 nalRSSHelper";uses:="com.liferay.journal.web.internal.helper",osgi.se
 rvice;objectClass:List<String>="com.liferay.journal.web.internal.mess
 aging.CheckArticleMessageListener";uses:="com.liferay.journal.web.int
 ernal.messaging",osgi.service;objectClass:List<String>="com.liferay.j
 ournal.web.internal.portlet.JournalPortlet,javax.portlet.Portlet";use
 s:="com.liferay.journal.web.internal.portlet,javax.portlet",osgi.serv
 ice;objectClass:List<String>="com.liferay.journal.web.internal.upload
 .ImageJournalUploadFileEntryHandler";uses:="com.liferay.journal.web.i
 nternal.upload",osgi.service;objectClass:List<String>="com.liferay.jo
 urnal.web.internal.upload.ImageJournalUploadResponseHandler";uses:="c
 om.liferay.journal.web.internal.upload",osgi.service;objectClass:List
 <String>="com.liferay.layout.display.page.LayoutDisplayPageProvider";
 uses:="com.liferay.layout.display.page",osgi.service;objectClass:List
 <String>="com.liferay.layout.util.LayoutClassedModelUsageActionMenuCo
 ntributor";uses:="com.liferay.layout.util",osgi.service;objectClass:L
 ist<String>="com.liferay.portal.aop.AopService,com.liferay.portal.ker
 nel.portlet.bridges.mvc.MVCActionCommand";uses:="com.liferay.portal.a
 op,com.liferay.portal.kernel.portlet.bridges.mvc",osgi.service;object
 Class:List<String>="com.liferay.portal.kernel.editor.configuration.Ed
 itorConfigContributor";uses:="com.liferay.portal.kernel.editor.config
 uration",osgi.service;objectClass:List<String>="com.liferay.portal.ke
 rnel.editor.configuration.EditorOptionsContributor";uses:="com.lifera
 y.portal.kernel.editor.configuration",osgi.service;objectClass:List<S
 tring>="com.liferay.portal.kernel.notifications.UserNotificationDefin
 ition";uses:="com.liferay.portal.kernel.notifications",osgi.service;o
 bjectClass:List<String>="com.liferay.portal.kernel.notifications.User
 NotificationHandler";uses:="com.liferay.portal.kernel.notifications",
 osgi.service;objectClass:List<String>="com.liferay.portal.kernel.port
 let.BrowsePortletProvider";uses:="com.liferay.portal.kernel.portlet",
 osgi.service;objectClass:List<String>="com.liferay.portal.kernel.port
 let.ConfigurationAction";uses:="com.liferay.portal.kernel.portlet",os
 gi.service;objectClass:List<String>="com.liferay.portal.kernel.portle
 t.EditPortletProvider";uses:="com.liferay.portal.kernel.portlet",osgi
 .service;objectClass:List<String>="com.liferay.portal.kernel.portlet.
 FriendlyURLMapper";uses:="com.liferay.portal.kernel.portlet",osgi.ser
 vice;objectClass:List<String>="com.liferay.portal.kernel.portlet.Frie
 ndlyURLResolver";uses:="com.liferay.portal.kernel.portlet",osgi.servi
 ce;objectClass:List<String>="com.liferay.portal.kernel.portlet.bridge
 s.mvc.MVCActionCommand";uses:="com.liferay.portal.kernel.portlet.brid
 ges.mvc",osgi.service;objectClass:List<String>="com.liferay.portal.ke
 rnel.portlet.bridges.mvc.MVCRenderCommand";uses:="com.liferay.portal.
 kernel.portlet.bridges.mvc",osgi.service;objectClass:List<String>="co
 m.liferay.portal.kernel.portlet.bridges.mvc.MVCResourceCommand";uses:
 ="com.liferay.portal.kernel.portlet.bridges.mvc",osgi.service;objectC
 lass:List<String>="com.liferay.portal.kernel.portlet.configuration.ic
 on.PortletConfigurationIcon";uses:="com.liferay.portal.kernel.portlet
 .configuration.icon",osgi.service;objectClass:List<String>="com.lifer
 ay.portal.kernel.servlet.taglib.ui.FormNavigatorEntry";uses:="com.lif
 eray.portal.kernel.servlet.taglib.ui",osgi.service;objectClass:List<S
 tring>="com.liferay.portal.kernel.social.SocialActivityManager";uses:
 ="com.liferay.portal.kernel.social",osgi.service;objectClass:List<Str
 ing>="com.liferay.portal.kernel.template.TemplateHandler";uses:="com.
 liferay.portal.kernel.template",osgi.service;objectClass:List<String>
 ="com.liferay.portal.kernel.webdav.WebDAVStorage";uses:="com.liferay.
 portal.kernel.webdav",osgi.service;objectClass:List<String>="com.life
 ray.portal.upgrade.registry.UpgradeStepRegistrator";uses:="com.lifera
 y.portal.upgrade.registry",osgi.service;objectClass:List<String>="com
 .liferay.social.kernel.model.SocialActivityInterpreter";uses:="com.li
 feray.social.kernel.model",soy;type=journal-web;version:Version="4.0.
 129.hotfix-10007-7310"
Require-Capability: liferay.resource.bundle;filter:="(bundle.symbolic.
 name=com.liferay.journal.lang)",osgi.extender;filter:="(&(osgi.extend
 er=jsp.taglib)(uri=http://java.sun.com/portlet_2_0))",osgi.extender;f
 ilter:="(&(osgi.extender=jsp.taglib)(uri=http://liferay.com/tld/asset
 ))",osgi.extender;filter:="(&(osgi.extender=jsp.taglib)(uri=http://li
 feray.com/tld/aui))",osgi.extender;filter:="(&(osgi.extender=jsp.tagl
 ib)(uri=http://liferay.com/tld/clay))",osgi.extender;filter:="(&(osgi
 .extender=jsp.taglib)(uri=http://liferay.com/tld/data-engine))",osgi.
 extender;filter:="(&(osgi.extender=jsp.taglib)(uri=http://liferay.com
 /tld/ddm))",osgi.extender;filter:="(&(osgi.extender=jsp.taglib)(uri=h
 ttp://liferay.com/tld/editor))",osgi.extender;filter:="(&(osgi.extend
 er=jsp.taglib)(uri=http://liferay.com/tld/expando))",osgi.extender;fi
 lter:="(&(osgi.extender=jsp.taglib)(uri=http://liferay.com/tld/fronte
 nd))",osgi.extender;filter:="(&(osgi.extender=jsp.taglib)(uri=http://
 liferay.com/tld/journal))",osgi.extender;filter:="(&(osgi.extender=js
 p.taglib)(uri=http://liferay.com/tld/layout))",osgi.extender;filter:=
 "(&(osgi.extender=jsp.taglib)(uri=http://liferay.com/tld/portlet))",o
 sgi.extender;filter:="(&(osgi.extender=jsp.taglib)(uri=http://liferay
 .com/tld/react))",osgi.extender;filter:="(&(osgi.extender=jsp.taglib)
 (uri=http://liferay.com/tld/security))",osgi.extender;filter:="(&(osg
 i.extender=jsp.taglib)(uri=http://liferay.com/tld/site-navigation))",
 osgi.extender;filter:="(&(osgi.extender=jsp.taglib)(uri=http://lifera
 y.com/tld/theme))",osgi.extender;filter:="(&(osgi.extender=jsp.taglib
 )(uri=http://liferay.com/tld/trash))",osgi.extender;filter:="(&(osgi.
 extender=jsp.taglib)(uri=http://liferay.com/tld/ui))",osgi.extender;f
 ilter:="(&(osgi.extender=jsp.taglib)(uri=http://liferay.com/tld/util)
 )",osgi.extender;filter:="(&(osgi.extender=osgi.component)(version>=1
 .3.0)(!(version>=2.0.0)))",osgi.service;filter:="(objectClass=com.lif
 eray.asset.display.page.portlet.AssetDisplayPageEntryFormProcessor)";
 effective:=active,osgi.service;filter:="(objectClass=com.liferay.asse
 t.display.page.portlet.AssetDisplayPageFriendlyURLProvider)";effectiv
 e:=active,osgi.service;filter:="(objectClass=com.liferay.asset.displa
 y.page.service.AssetDisplayPageEntryLocalService)";effective:=active,
 osgi.service;filter:="(objectClass=com.liferay.asset.info.display.fie
 ld.AssetEntryInfoDisplayFieldProvider)";effective:=active,osgi.servic
 e;filter:="(objectClass=com.liferay.asset.info.display.url.provider.A
 ssetInfoEditURLProvider)";effective:=active,osgi.service;filter:="(ob
 jectClass=com.liferay.asset.info.item.provider.AssetEntryInfoItemFiel
 dSetProvider)";effective:=active,osgi.service;filter:="(objectClass=c
 om.liferay.asset.kernel.service.AssetEntryLocalService)";effective:=a
 ctive,osgi.service;filter:="(objectClass=com.liferay.asset.kernel.ser
 vice.AssetEntryService)";effective:=active,osgi.service;filter:="(obj
 ectClass=com.liferay.asset.util.AssetHelper)";effective:=active,osgi.
 service;filter:="(objectClass=com.liferay.data.engine.rest.resource.v
 2_0.DataDefinitionResource$Factory)";effective:=active,osgi.service;f
 ilter:="(objectClass=com.liferay.depot.service.DepotEntryLocalService
 )";effective:=active;resolution:=optional,osgi.service;filter:="(obje
 ctClass=com.liferay.document.library.kernel.service.DLAppLocalService
 )";effective:=active,osgi.service;filter:="(objectClass=com.liferay.d
 ocument.library.kernel.util.DLValidator)";effective:=active,osgi.serv
 ice;filter:="(objectClass=com.liferay.document.library.util.DLURLHelp
 er)";effective:=active,osgi.service;filter:="(objectClass=com.liferay
 .dynamic.data.lists.service.DDLRecordSetLocalService)";effective:=act
 ive,osgi.service;filter:="(objectClass=com.liferay.dynamic.data.mappi
 ng.form.values.factory.DDMFormValuesFactory)";effective:=active,osgi.
 service;filter:="(objectClass=com.liferay.dynamic.data.mapping.info.d
 isplay.field.DDMFormValuesInfoDisplayFieldProvider)";effective:=activ
 e,osgi.service;filter:="(objectClass=com.liferay.dynamic.data.mapping
 .info.item.provider.DDMFormValuesInfoFieldValuesProvider)";effective:
 =active,osgi.service;filter:="(objectClass=com.liferay.dynamic.data.m
 apping.info.item.provider.DDMStructureInfoItemFieldSetProvider)";effe
 ctive:=active,osgi.service;filter:="(objectClass=com.liferay.dynamic.
 data.mapping.info.item.provider.DDMTemplateInfoItemFieldSetProvider)"
 ;effective:=active,osgi.service;filter:="(objectClass=com.liferay.dyn
 amic.data.mapping.security.permission.DDMPermissionSupport)";effectiv
 e:=active,osgi.service;filter:="(objectClass=com.liferay.dynamic.data
 .mapping.service.DDMStructureLocalService)";effective:=active,osgi.se
 rvice;filter:="(objectClass=com.liferay.dynamic.data.mapping.service.
 DDMStructureService)";effective:=active,osgi.service;filter:="(object
 Class=com.liferay.dynamic.data.mapping.service.DDMTemplateLocalServic
 e)";effective:=active,osgi.service;filter:="(objectClass=com.liferay.
 dynamic.data.mapping.service.DDMTemplateService)";effective:=active,o
 sgi.service;filter:="(objectClass=com.liferay.dynamic.data.mapping.ut
 il.DDM)";effective:=active,osgi.service;filter:="(objectClass=com.lif
 eray.dynamic.data.mapping.util.DDMFormValuesToFieldsConverter)";effec
 tive:=active,osgi.service;filter:="(objectClass=com.liferay.dynamic.d
 ata.mapping.util.DDMFormValuesToMapConverter)";effective:=active,osgi
 .service;filter:="(objectClass=com.liferay.dynamic.data.mapping.util.
 DDMTemplateHelper)";effective:=active,osgi.service;filter:="(objectCl
 ass=com.liferay.dynamic.data.mapping.util.FieldsToDDMFormValuesConver
 ter)";effective:=active,osgi.service;filter:="(objectClass=com.lifera
 y.dynamic.data.mapping.webdav.DDMWebDAV)";effective:=active,osgi.serv
 ice;filter:="(objectClass=com.liferay.expando.info.item.provider.Expa
 ndoInfoItemFieldSetProvider)";effective:=active,osgi.service;filter:=
 "(objectClass=com.liferay.exportimport.changeset.portlet.action.Expor
 tImportChangesetMVCActionCommand)";effective:=active,osgi.service;fil
 ter:="(objectClass=com.liferay.info.display.contributor.InfoDisplayCo
 ntributorTracker)";effective:=active,osgi.service;filter:="(objectCla
 ss=com.liferay.info.display.field.ClassTypesInfoDisplayFieldProvider)
 ";effective:=active,osgi.service;filter:="(objectClass=com.liferay.in
 fo.display.field.ExpandoInfoDisplayFieldProvider)";effective:=active,
 osgi.service;filter:="(objectClass=com.liferay.info.display.field.Inf
 oDisplayFieldProvider)";effective:=active,osgi.service;filter:="(obje
 ctClass=com.liferay.info.display.request.attributes.contributor.InfoD
 isplayRequestAttributesContributor)";effective:=active;resolution:=op
 tional;cardinality:=multiple,osgi.service;filter:="(objectClass=com.l
 iferay.info.display.url.provider.InfoEditURLProviderTracker)";effecti
 ve:=active,osgi.service;filter:="(objectClass=com.liferay.info.item.I
 nfoItemServiceTracker)";effective:=active,osgi.service;filter:="(obje
 ctClass=com.liferay.info.item.field.reader.InfoItemFieldReaderFieldSe
 tProvider)";effective:=active,osgi.service;filter:="(objectClass=com.
 liferay.info.item.renderer.InfoItemRendererTracker)";effective:=activ
 e,osgi.service;filter:="(objectClass=com.liferay.info.item.updater.In
 foItemFieldValuesUpdater)";effective:=active,osgi.service;filter:="(o
 bjectClass=com.liferay.item.selector.ItemSelector)";effective:=active
 ,osgi.service;filter:="(objectClass=com.liferay.item.selector.ItemSel
 ectorUploadResponseHandler)";effective:=active,osgi.service;filter:="
 (objectClass=com.liferay.item.selector.ItemSelectorView)";effective:=
 active,osgi.service;filter:="(objectClass=com.liferay.journal.service
 .JournalArticleLocalService)";effective:=active,osgi.service;filter:=
 "(objectClass=com.liferay.journal.service.JournalArticleResourceLocal
 Service)";effective:=active,osgi.service;filter:="(objectClass=com.li
 feray.journal.service.JournalArticleService)";effective:=active,osgi.
 service;filter:="(objectClass=com.liferay.journal.service.JournalCont
 entSearchLocalService)";effective:=active,osgi.service;filter:="(obje
 ctClass=com.liferay.journal.service.JournalFeedLocalService)";effecti
 ve:=active,osgi.service;filter:="(objectClass=com.liferay.journal.ser
 vice.JournalFeedService)";effective:=active,osgi.service;filter:="(ob
 jectClass=com.liferay.journal.service.JournalFolderLocalService)";eff
 ective:=active,osgi.service;filter:="(objectClass=com.liferay.journal
 .service.JournalFolderService)";effective:=active,osgi.service;filter
 :="(objectClass=com.liferay.journal.util.ExportArticleHelper)";effect
 ive:=active,osgi.service;filter:="(objectClass=com.liferay.journal.ut
 il.JournalContent)";effective:=active,osgi.service;filter:="(objectCl
 ass=com.liferay.journal.util.JournalConverter)";effective:=active,osg
 i.service;filter:="(objectClass=com.liferay.journal.util.JournalHelpe
 r)";effective:=active,osgi.service;filter:="(objectClass=com.liferay.
 journal.web.internal.asset.model.JournalArticleAssetRendererFactory)"
 ;effective:=active,osgi.service;filter:="(objectClass=com.liferay.jou
 rnal.web.internal.helper.JournalDDMTemplateHelper)";effective:=active
 ,osgi.service;filter:="(objectClass=com.liferay.journal.web.internal.
 helper.JournalRSSHelper)";effective:=active,osgi.service;filter:="(ob
 jectClass=com.liferay.journal.web.internal.upload.ImageJournalUploadF
 ileEntryHandler)";effective:=active,osgi.service;filter:="(objectClas
 s=com.liferay.journal.web.internal.upload.ImageJournalUploadResponseH
 andler)";effective:=active,osgi.service;filter:="(objectClass=com.lif
 eray.layout.display.page.LayoutDisplayPageProviderTracker)";effective
 :=active,osgi.service;filter:="(objectClass=com.liferay.layout.page.t
 emplate.info.item.capability.DisplayPageInfoItemCapability)";effectiv
 e:=active,osgi.service;filter:="(objectClass=com.liferay.layout.page.
 template.service.LayoutPageTemplateEntryService)";effective:=active,o
 sgi.service;filter:="(objectClass=com.liferay.layout.service.LayoutCl
 assedModelUsageLocalService)";effective:=active,osgi.service;filter:=
 "(objectClass=com.liferay.portal.configuration.persistence.upgrade.Co
 nfigurationUpgradeStepFactory)";effective:=active,osgi.service;filter
 :="(objectClass=com.liferay.portal.kernel.language.Language)";effecti
 ve:=active,osgi.service;filter:="(objectClass=com.liferay.portal.kern
 el.model.Portlet)";effective:=active,osgi.service;filter:="(objectCla
 ss=com.liferay.portal.kernel.model.Release)";effective:=active,osgi.s
 ervice;filter:="(objectClass=com.liferay.portal.kernel.module.framewo
 rk.ModuleServiceLifecycle)";effective:=active,osgi.service;filter:="(
 objectClass=com.liferay.portal.kernel.resource.bundle.ResourceBundleL
 oader)";effective:=active,osgi.service;filter:="(objectClass=com.life
 ray.portal.kernel.scheduler.SchedulerEngineHelper)";effective:=active
 ,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.schedul
 er.TriggerFactory)";effective:=active,osgi.service;filter:="(objectCl
 ass=com.liferay.portal.kernel.security.permission.resource.ModelResou
 rcePermission)";effective:=active,osgi.service;filter:="(objectClass=
 com.liferay.portal.kernel.security.permission.resource.PortletResourc
 ePermission)";effective:=active,osgi.service;filter:="(objectClass=co
 m.liferay.portal.kernel.service.GroupLocalService)";effective:=active
 ,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.service
 .ImageLocalService)";effective:=active,osgi.service;filter:="(objectC
 lass=com.liferay.portal.kernel.service.LayoutLocalService)";effective
 :=active,osgi.service;filter:="(objectClass=com.liferay.portal.kernel
 .service.LayoutSetLocalService)";effective:=active,osgi.service;filte
 r:="(objectClass=com.liferay.portal.kernel.service.UserLocalService)"
 ;effective:=active,osgi.service;filter:="(objectClass=com.liferay.por
 tal.kernel.util.Http)";effective:=active,osgi.service;filter:="(objec
 tClass=com.liferay.portal.kernel.util.Portal)";effective:=active,osgi
 .service;filter:="(objectClass=com.liferay.rss.export.RSSExporter)";e
 ffective:=active,osgi.service;filter:="(objectClass=com.liferay.rss.m
 odel.SyndModelFactory)";effective:=active,osgi.service;filter:="(obje
 ctClass=com.liferay.site.util.RecentGroupManager)";effective:=active,
 osgi.service;filter:="(objectClass=com.liferay.social.kernel.service.
 SocialActivityLocalService)";effective:=active,osgi.service;filter:="
 (objectClass=com.liferay.staging.StagingGroupHelper)";effective:=acti
 ve,osgi.service;filter:="(objectClass=com.liferay.translation.exporte
 r.TranslationInfoItemFieldValuesExporterTracker)";effective:=active,o
 sgi.service;filter:="(objectClass=com.liferay.translation.importer.Tr
 anslationInfoItemFieldValuesImporter)";effective:=active,osgi.service
 ;filter:="(objectClass=com.liferay.translation.info.field.Translation
 InfoFieldChecker)";effective:=active,osgi.service;filter:="(objectCla
 ss=com.liferay.translation.service.TranslationEntryLocalService)";eff
 ective:=active,osgi.service;filter:="(objectClass=com.liferay.transla
 tion.service.TranslationEntryService)";effective:=active,osgi.service
 ;filter:="(objectClass=com.liferay.trash.TrashHelper)";effective:=act
 ive,osgi.service;filter:="(objectClass=com.liferay.trash.service.Tras
 hEntryService)";effective:=active,osgi.service;filter:="(objectClass=
 com.liferay.upload.UniqueFileNameProvider)";effective:=active,osgi.se
 rvice;filter:="(objectClass=com.liferay.upload.UploadHandler)";effect
 ive:=active,osgi.service;filter:="(objectClass=javax.servlet.ServletC
 ontext)";effective:=active,osgi.contract;osgi.contract=JavaServlet;fi
 lter:="(&(osgi.contract=JavaServlet)(version=3.1.0))",osgi.contract;o
 sgi.contract=JavaPortlet;filter:="(&(osgi.contract=JavaPortlet)(versi
 on=3.0.0))",osgi.ee;filter:="(&(osgi.ee=JavaSE)(version=1.8))"
Service-Component: OSGI-INF/com.liferay.journal.web.internal.applicati
 on.list.JournalPanelApp.xml,OSGI-INF/com.liferay.journal.web.internal
 .asset.model.JournalArticleAssetRendererFactory.xml,OSGI-INF/com.life
 ray.journal.web.internal.asset.model.JournalFolderAssetRendererFactor
 y.xml,OSGI-INF/com.liferay.journal.web.internal.asset.util.JournalArt
 icleLayoutClassedModelUsageActionMenuContributor.xml,OSGI-INF/com.lif
 eray.journal.web.internal.change.tracking.spi.display.JournalArticleC
 TDisplayRenderer.xml,OSGI-INF/com.liferay.journal.web.internal.change
 .tracking.spi.display.JournalFolderCTDisplayRenderer.xml,OSGI-INF/com
 .liferay.journal.web.internal.custom.attributes.JournalArticleCustomA
 ttributesDisplay.xml,OSGI-INF/com.liferay.journal.web.internal.custom
 .attributes.JournalFolderCustomAttributesDisplay.xml,OSGI-INF/com.lif
 eray.journal.web.internal.data.engine.content.type.JournalDataDefinit
 ionContentType.xml,OSGI-INF/com.liferay.journal.web.internal.editor.c
 onfiguration.JournalArticleContentEditorConfigContributor.xml,OSGI-IN
 F/com.liferay.journal.web.internal.editor.configuration.JournalArticl
 eContentEditorOptionsContributor.xml,OSGI-INF/com.liferay.journal.web
 .internal.editor.configuration.JournalArticleDescriptionEditorConfigC
 ontributor.xml,OSGI-INF/com.liferay.journal.web.internal.editor.confi
 guration.TranslateEditorConfigContributor.xml,OSGI-INF/com.liferay.jo
 urnal.web.internal.helper.JournalDDMTemplateHelper.xml,OSGI-INF/com.l
 iferay.journal.web.internal.helper.JournalRSSHelper.xml,OSGI-INF/com.
 liferay.journal.web.internal.info.display.contributor.DefaultJournalA
 rticleInfoDisplayContributor.xml,OSGI-INF/com.liferay.journal.web.int
 ernal.info.display.contributor.JournalArticleInfoDisplayContributor.x
 ml,OSGI-INF/com.liferay.journal.web.internal.info.display.contributor
 .field.JournalArticleAuthorNameInfoDisplayContributorField.xml,OSGI-I
 NF/com.liferay.journal.web.internal.info.display.contributor.field.Jo
 urnalArticleAuthorProfileImageInfoDisplayContributorField.xml,OSGI-IN
 F/com.liferay.journal.web.internal.info.display.contributor.field.Jou
 rnalArticleDescriptionInfoDisplayContributorField.xml,OSGI-INF/com.li
 feray.journal.web.internal.info.display.contributor.field.JournalArti
 cleLastEditorNameInfoDisplayContributorField.xml,OSGI-INF/com.liferay
 .journal.web.internal.info.display.contributor.field.JournalArticleLa
 stEditorProfileImageInfoDisplayContributorField.xml,OSGI-INF/com.life
 ray.journal.web.internal.info.display.contributor.field.JournalArticl
 ePublishDateInfoDisplayContributorField.xml,OSGI-INF/com.liferay.jour
 nal.web.internal.info.display.contributor.field.JournalArticleSmallIm
 ageAssetDisplayContributorField.xml,OSGI-INF/com.liferay.journal.web.
 internal.info.display.contributor.field.JournalArticleSummaryInfoDisp
 layContributorField.xml,OSGI-INF/com.liferay.journal.web.internal.inf
 o.display.contributor.field.JournalArticleTitleInfoDisplayContributor
 Field.xml,OSGI-INF/com.liferay.journal.web.internal.info.display.cont
 ributor.portlet.JournalArticleAssetDisplayPageFriendlyURLResolver.xml
 ,OSGI-INF/com.liferay.journal.web.internal.info.display.url.provider.
 JournalAssetInfoEditURLProvider.xml,OSGI-INF/com.liferay.journal.web.
 internal.info.item.provider.JournalArticleInfoItemCapabilitiesProvide
 r.xml,OSGI-INF/com.liferay.journal.web.internal.info.item.provider.Jo
 urnalArticleInfoItemDetailsProvider.xml,OSGI-INF/com.liferay.journal.
 web.internal.info.item.provider.JournalArticleInfoItemFieldValuesProv
 ider.xml,OSGI-INF/com.liferay.journal.web.internal.info.item.provider
 .JournalArticleInfoItemFormProvider.xml,OSGI-INF/com.liferay.journal.
 web.internal.info.item.provider.JournalArticleInfoItemFormVariationsP
 rovider.xml,OSGI-INF/com.liferay.journal.web.internal.info.item.provi
 der.JournalArticleInfoItemObjectProvider.xml,OSGI-INF/com.liferay.jou
 rnal.web.internal.info.item.provider.JournalArticleInfoItemPermission
 Provider.xml,OSGI-INF/com.liferay.journal.web.internal.info.item.rend
 erer.JournalArticleAbstractInfoItemRenderer.xml,OSGI-INF/com.liferay.
 journal.web.internal.info.item.renderer.JournalArticleDDMTemplateInfo
 ItemTemplatedRenderer.xml,OSGI-INF/com.liferay.journal.web.internal.i
 nfo.item.renderer.JournalArticleFullContentInfoItemRenderer.xml,OSGI-
 INF/com.liferay.journal.web.internal.info.item.renderer.JournalArticl
 eTitleInfoItemRenderer.xml,OSGI-INF/com.liferay.journal.web.internal.
 info.item.selector.JournalArticleInfoItemSelector.xml,OSGI-INF/com.li
 feray.journal.web.internal.info.list.renderer.BorderedJournalArticleB
 asicListInfoListRenderer.xml,OSGI-INF/com.liferay.journal.web.interna
 l.info.list.renderer.BulletedJournalArticleBasicListInfoListRenderer.
 xml,OSGI-INF/com.liferay.journal.web.internal.info.list.renderer.Inli
 neJournalArticleBasicListInfoListRenderer.xml,OSGI-INF/com.liferay.jo
 urnal.web.internal.info.list.renderer.NumberedJournalArticleBasicList
 InfoListRenderer.xml,OSGI-INF/com.liferay.journal.web.internal.info.l
 ist.renderer.UnstyledJournalArticleBasicListInfoListRenderer.xml,OSGI
 -INF/com.liferay.journal.web.internal.item.selector.JournalArticleIte
 mSelectorCriterionHandler.xml,OSGI-INF/com.liferay.journal.web.intern
 al.item.selector.JournalArticleItemSelectorView.xml,OSGI-INF/com.life
 ray.journal.web.internal.layout.display.page.DefaultJournalArticleLay
 outDisplayPageProvider.xml,OSGI-INF/com.liferay.journal.web.internal.
 layout.display.page.JournalArticleLayoutDisplayPageProvider.xml,OSGI-
 INF/com.liferay.journal.web.internal.messaging.CheckArticleMessageLis
 tener.xml,OSGI-INF/com.liferay.journal.web.internal.notifications.Jou
 rnalAddEntryUserNotificationDefinition.xml,OSGI-INF/com.liferay.journ
 al.web.internal.notifications.JournalMoveEntryFromFolderUserNotificat
 ionDefinition.xml,OSGI-INF/com.liferay.journal.web.internal.notificat
 ions.JournalMoveEntryFromTrashUserNotificationDefinition.xml,OSGI-INF
 /com.liferay.journal.web.internal.notifications.JournalMoveEntryToFol
 derUserNotificationDefinition.xml,OSGI-INF/com.liferay.journal.web.in
 ternal.notifications.JournalMoveEntryToTrashUserNotificationDefinitio
 n.xml,OSGI-INF/com.liferay.journal.web.internal.notifications.Journal
 UpdateEntryUserNotificationDefinition.xml,OSGI-INF/com.liferay.journa
 l.web.internal.notifications.JournalUserNotificationHandler.xml,OSGI-
 INF/com.liferay.journal.web.internal.portlet.JournalDDMTemplateSelect
 orBrowserPortletProvider.xml,OSGI-INF/com.liferay.journal.web.interna
 l.portlet.JournalEditPortletProvider.xml,OSGI-INF/com.liferay.journal
 .web.internal.portlet.JournalPortlet.xml,OSGI-INF/com.liferay.journal
 .web.internal.portlet.action.AddDDMStructureMVCActionCommand.xml,OSGI
 -INF/com.liferay.journal.web.internal.portlet.action.AddDDMTemplateMV
 CActionCommand.xml,OSGI-INF/com.liferay.journal.web.internal.portlet.
 action.AddDataDefinitionMVCActionCommand.xml,OSGI-INF/com.liferay.jou
 rnal.web.internal.portlet.action.AddFeedMVCActionCommand.xml,OSGI-INF
 /com.liferay.journal.web.internal.portlet.action.AddFolderMVCActionCo
 mmand.xml,OSGI-INF/com.liferay.journal.web.internal.portlet.action.Ad
 dMenuFavItemMVCActionCommand.xml,OSGI-INF/com.liferay.journal.web.int
 ernal.portlet.action.CompareVersionsMVCRenderCommand.xml,OSGI-INF/com
 .liferay.journal.web.internal.portlet.action.CompareVersionsMVCResour
 ceCommand.xml,OSGI-INF/com.liferay.journal.web.internal.portlet.actio
 n.CopyArticleMVCActionCommand.xml,OSGI-INF/com.liferay.journal.web.in
 ternal.portlet.action.CopyDDMStructureMVCActionCommand.xml,OSGI-INF/c
 om.liferay.journal.web.internal.portlet.action.CopyDDMTemplateMVCActi
 onCommand.xml,OSGI-INF/com.liferay.journal.web.internal.portlet.actio
 n.CopyDataDefinitionMVCActionCommand.xml,OSGI-INF/com.liferay.journal
 .web.internal.portlet.action.DeleteArticleTranslationsMVCActionComman
 d.xml,OSGI-INF/com.liferay.journal.web.internal.portlet.action.Delete
 ArticlesAndFoldersMVCActionCommand.xml,OSGI-INF/com.liferay.journal.w
 eb.internal.portlet.action.DeleteArticlesMVCActionCommand.xml,OSGI-IN
 F/com.liferay.journal.web.internal.portlet.action.DeleteDDMStructureM
 VCActionCommand.xml,OSGI-INF/com.liferay.journal.web.internal.portlet
 .action.DeleteDDMTemplateMVCActionCommand.xml,OSGI-INF/com.liferay.jo
 urnal.web.internal.portlet.action.DeleteDataDefinitionMVCActionComman
 d.xml,OSGI-INF/com.liferay.journal.web.internal.portlet.action.Delete
 FeedsMVCActionCommand.xml,OSGI-INF/com.liferay.journal.web.internal.p
 ortlet.action.DeleteFolderMVCActionCommand.xml,OSGI-INF/com.liferay.j
 ournal.web.internal.portlet.action.ExpireArticlesAndFoldersMVCActionC
 ommand.xml,OSGI-INF/com.liferay.journal.web.internal.portlet.action.E
 xpireArticlesMVCActionCommand.xml,OSGI-INF/com.liferay.journal.web.in
 ternal.portlet.action.ExportArticleMVCResourceCommand.xml,OSGI-INF/co
 m.liferay.journal.web.internal.portlet.action.ExportTranslationMVCRes
 ourceCommand.xml,OSGI-INF/com.liferay.journal.web.internal.portlet.ac
 tion.GetDDMStructureMVCResourceCommand.xml,OSGI-INF/com.liferay.journ
 al.web.internal.portlet.action.GetDDMTemplateMVCResourceCommand.xml,O
 SGI-INF/com.liferay.journal.web.internal.portlet.action.GetExportTran
 slationAvailableLocalesMVCResourceCommand.xml,OSGI-INF/com.liferay.jo
 urnal.web.internal.portlet.action.ImportTranslationMVCActionCommand.x
 ml,OSGI-INF/com.liferay.journal.web.internal.portlet.action.InfoPanel
 MVCResourceCommand.xml,OSGI-INF/com.liferay.journal.web.internal.port
 let.action.JournalConfigurationAction.xml,OSGI-INF/com.liferay.journa
 l.web.internal.portlet.action.JournalPermissionAssetEntryAction.xml,O
 SGI-INF/com.liferay.journal.web.internal.portlet.action.MoveArticlesA
 ndFoldersMVCActionCommand.xml,OSGI-INF/com.liferay.journal.web.intern
 al.portlet.action.MoveArticlesAndFoldersToTrashMVCActionCommand.xml,O
 SGI-INF/com.liferay.journal.web.internal.portlet.action.MoveFolderToT
 rashMVCActionCommand.xml,OSGI-INF/com.liferay.journal.web.internal.po
 rtlet.action.MoveToTrashMVCActionCommand.xml,OSGI-INF/com.liferay.jou
 rnal.web.internal.portlet.action.PublishArticleMVCActionCommand.xml,O
 SGI-INF/com.liferay.journal.web.internal.portlet.action.PublishFolder
 MVCActionCommand.xml,OSGI-INF/com.liferay.journal.web.internal.portle
 t.action.RSSMVCResourceCommand.xml,OSGI-INF/com.liferay.journal.web.i
 nternal.portlet.action.RefreshDDMTemplateMVCActionCommand.xml,OSGI-IN
 F/com.liferay.journal.web.internal.portlet.action.RemoveMenuFavItemMV
 CActionCommand.xml,OSGI-INF/com.liferay.journal.web.internal.portlet.
 action.ResetValuesDDMStructureMVCActionCommand.xml,OSGI-INF/com.lifer
 ay.journal.web.internal.portlet.action.RestoreTrashEntriesMVCActionCo
 mmand.xml,OSGI-INF/com.liferay.journal.web.internal.portlet.action.Sa
 veAsDraftArticleMVCActionCommand.xml,OSGI-INF/com.liferay.journal.web
 .internal.portlet.action.SubscribeArticleMVCActionCommand.xml,OSGI-IN
 F/com.liferay.journal.web.internal.portlet.action.SubscribeDDMStructu
 reMVCActionCommand.xml,OSGI-INF/com.liferay.journal.web.internal.port
 let.action.SubscribeFolderMVCActionCommand.xml,OSGI-INF/com.liferay.j
 ournal.web.internal.portlet.action.TranslateMVCRenderCommand.xml,OSGI
 -INF/com.liferay.journal.web.internal.portlet.action.UnsubscribeArtic
 leMVCActionCommand.xml,OSGI-INF/com.liferay.journal.web.internal.port
 let.action.UnsubscribeDDMStructureMVCActionCommand.xml,OSGI-INF/com.l
 iferay.journal.web.internal.portlet.action.UnsubscribeFolderMVCAction
 Command.xml,OSGI-INF/com.liferay.journal.web.internal.portlet.action.
 UpdateArticleMVCActionCommand.xml,OSGI-INF/com.liferay.journal.web.in
 ternal.portlet.action.UpdateDDMStructureDefaultValuesMVCActionCommand
 .xml,OSGI-INF/com.liferay.journal.web.internal.portlet.action.UpdateD
 DMStructureMVCActionCommand.xml,OSGI-INF/com.liferay.journal.web.inte
 rnal.portlet.action.UpdateDDMTemplateMVCActionCommand.xml,OSGI-INF/co
 m.liferay.journal.web.internal.portlet.action.UpdateDataDefinitionMVC
 ActionCommand.xml,OSGI-INF/com.liferay.journal.web.internal.portlet.a
 ction.UpdateFeedMVCActionCommand.xml,OSGI-INF/com.liferay.journal.web
 .internal.portlet.action.UpdateFolderMVCActionCommand.xml,OSGI-INF/co
 m.liferay.journal.web.internal.portlet.action.UpdateTranslationMVCAct
 ionCommand.xml,OSGI-INF/com.liferay.journal.web.internal.portlet.acti
 on.UpdateWorkflowDefinitionsMVCActionCommand.xml,OSGI-INF/com.liferay
 .journal.web.internal.portlet.action.UploadImageMVCActionCommand.xml,
 OSGI-INF/com.liferay.journal.web.internal.portlet.configuration.icon.
 FeedsPermissionsPortletConfigurationIcon.xml,OSGI-INF/com.liferay.jou
 rnal.web.internal.portlet.configuration.icon.ViewSourcePortletConfigu
 rationIcon.xml,OSGI-INF/com.liferay.journal.web.internal.portlet.rout
 e.JournalFriendlyURLMapper.xml,OSGI-INF/com.liferay.journal.web.inter
 nal.portlet.template.JournalTemplateHandler.xml,OSGI-INF/com.liferay.
 journal.web.internal.security.permission.resource.DDMStructurePermiss
 ion.xml,OSGI-INF/com.liferay.journal.web.internal.security.permission
 .resource.DDMTemplatePermission.xml,OSGI-INF/com.liferay.journal.web.
 internal.security.permission.resource.JournalArticlePermission.xml,OS
 GI-INF/com.liferay.journal.web.internal.security.permission.resource.
 JournalFeedPermission.xml,OSGI-INF/com.liferay.journal.web.internal.s
 ecurity.permission.resource.JournalFolderPermission.xml,OSGI-INF/com.
 liferay.journal.web.internal.security.permission.resource.JournalPerm
 ission.xml,OSGI-INF/com.liferay.journal.web.internal.servlet.taglib.d
 efinition.JournalDataLayoutBuilderDefinition.xml,OSGI-INF/com.liferay
 .journal.web.internal.servlet.taglib.ui.JournalBasicInfoFormNavigator
 Entry.xml,OSGI-INF/com.liferay.journal.web.internal.servlet.taglib.ui
 .JournalCategorizationFormNavigatorEntry.xml,OSGI-INF/com.liferay.jou
 rnal.web.internal.servlet.taglib.ui.JournalDDMStructureBasicInfoFormN
 avigatorEntry.xml,OSGI-INF/com.liferay.journal.web.internal.servlet.t
 aglib.ui.JournalDDMTemplateBasicInfoFormNavigatorEntry.xml,OSGI-INF/c
 om.liferay.journal.web.internal.servlet.taglib.ui.JournalDDMTemplateS
 mallImageFormNavigatorEntry.xml,OSGI-INF/com.liferay.journal.web.inte
 rnal.servlet.taglib.ui.JournalDisplayPageFormNavigatorEntry.xml,OSGI-
 INF/com.liferay.journal.web.internal.servlet.taglib.ui.JournalDisplay
 PagePreviewFormNavigatorEntry.xml,OSGI-INF/com.liferay.journal.web.in
 ternal.servlet.taglib.ui.JournalFormNavigatorContextProvider.xml,OSGI
 -INF/com.liferay.journal.web.internal.servlet.taglib.ui.JournalFriend
 lyURLFormNavigatorEntry.xml,OSGI-INF/com.liferay.journal.web.internal
 .servlet.taglib.ui.JournalPermissionsFormNavigatorEntry.xml,OSGI-INF/
 com.liferay.journal.web.internal.servlet.taglib.ui.JournalRelatedAsse
 tsFormNavigatorEntry.xml,OSGI-INF/com.liferay.journal.web.internal.se
 rvlet.taglib.ui.JournalScheduleFormNavigatorEntry.xml,OSGI-INF/com.li
 feray.journal.web.internal.servlet.taglib.ui.JournalSearchFormNavigat
 orEntry.xml,OSGI-INF/com.liferay.journal.web.internal.servlet.taglib.
 ui.JournalSmallImageFormNavigatorEntry.xml,OSGI-INF/com.liferay.journ
 al.web.internal.servlet.taglib.ui.JournalTemplateFormNavigatorEntry.x
 ml,OSGI-INF/com.liferay.journal.web.internal.social.JournalArticleAct
 ivityInterpreter.xml,OSGI-INF/com.liferay.journal.web.internal.social
 .JournalArticleSocialActivityManager.xml,OSGI-INF/com.liferay.journal
 .web.internal.social.JournalFolderActivityInterpreter.xml,OSGI-INF/co
 m.liferay.journal.web.internal.translation.exporter.TranslationInfoIt
 emFieldValuesExporterTrackerUtil.xml,OSGI-INF/com.liferay.journal.web
 .internal.upgrade.JournalWebUpgrade.xml,OSGI-INF/com.liferay.journal.
 web.internal.upload.ImageJournalUploadFileEntryHandler.xml,OSGI-INF/c
 om.liferay.journal.web.internal.upload.ImageJournalUploadResponseHand
 ler.xml,OSGI-INF/com.liferay.journal.web.internal.util.ExportArticleH
 elperImpl.xml,OSGI-INF/com.liferay.journal.web.internal.util.JournalH
 elperUtil.xml,OSGI-INF/com.liferay.journal.web.internal.util.RecentGr
 oupManagerUtil.xml,OSGI-INF/com.liferay.journal.web.internal.webdav.J
 ournalWebDAVStorageImpl.xml
Tool: Bnd-5.3.0.202102221516
Web-ContextPath: /journal-web

